SDL_HINT_JOYSTICK_GAMEINPUT_RAW(3)

NAME
SDL_HINT_JOYSTICK_GAMEINPUT_RAW - A variable controlling whether GameInput should be used for handling GIP devices that require raw report processing, but aren't supported by HIDRAW, such as Xbox One Guitars.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_JOYSTICK_GAMEINPUT_RAW "SDL_JOYSTICK_GAMEINPUT_RAW"

DESCRIPTION
Note that this is only supported with GameInput 3 or newer.

The variable can be set to the following values:

• "0": GameInput is not used to handle raw GIP devices.

• "1": GameInput is used.

The default is "1" when using GameInput 3 or newer, and is "0" otherwise.

This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.4.4.